Bug 258141 - Use-after-free bug in fenced
Use-after-free bug in fenced
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: cman (Show other bugs)
5.1
All All
medium Severity low
: ---
: ---
Assigned To: Lon Hohberger
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-27 17:10 EDT by Lon Hohberger
Modified: 2009-04-16 18:37 EDT (History)
3 users (show)

See Also:
Fixed In Version: RHBA-2008-0347
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 11:57:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fix - 1line (445 bytes, patch)
2007-08-27 17:10 EDT, Lon Hohberger
no flags Details | Diff

  None (edit)
Description Lon Hohberger 2007-08-27 17:10:51 EDT
Description of problem:

                if (!error) {
                        list_del(&node->list);
                        free(node);
                        /* XXXXXXXXXX There should be a continue here */
                }

                if (!comline.override_path) {
                        sleep(5);
                        continue;
                }

                /* Check for manual intervention */
                override = open_override(comline.override_path);

                if (check_override(override, node->name, 5) > 0) {
                        syslog(LOG_WARNING, "fence \"%s\" overridden by "
                               "administrator intervention", node->name);

                        list_del(&node->list);
                        free(node);
                }
                close_override(&override, comline.override_path);
        }

Version          : 5.1 beta
Reproducibility  : 100%
Actual results   : Use-after-free could potentially cause a crash in fenced
Expected results : No crash
Additional info  : Unclear whether this has caused actual problems.
Comment 1 Lon Hohberger 2007-08-27 17:10:51 EDT
Created attachment 174421 [details]
Fix - 1line
Comment 4 Lon Hohberger 2007-09-18 16:54:09 EDT
Patches in RHEL5 + HEAD
Comment 5 RHEL Product and Program Management 2007-10-15 23:43:45 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 8 errata-xmlrpc 2008-05-21 11:57:33 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0347.html

Note You need to log in before you can comment on or make changes to this bug.